using System;

namespace StructuredExceptionHandlingComponentCS
{
	/// <summary>
	/// Summary description for MyOwnException.
	/// </summary>
	public class MyOwnException : System.Exception 
	{

		private DateTime m_ExceptionTime ;

		public DateTime ExceptionTime 
		{
			get { return m_ExceptionTime; }
		}

		public MyOwnException()
		{
			m_ExceptionTime = DateTime.Now ;
		}

		public MyOwnException(string msg) : base (msg)
		{
			m_ExceptionTime = DateTime.Now ;
		}

		public MyOwnException(string msg, Exception inner) : base (msg, inner)
		{
			m_ExceptionTime = DateTime.Now ;
		}

	}
}
